Los Angeles Unified School District

Investing in LAUSD

can’t find something?

MISIS LOGO   System Requirements


MiSiS Compatible Web Browsers

MiSiS-Compatible Web Browsers


Browser Download Minimum Requirements
Internet Explorer Download IE9 Windows 7 and above; Mac OS X 10.6 and above
Firefox Download Firefox Windows 7 and above; Mac OS X 10.6 and above
Firefox (for older Macs) Download Firefox Mac OS X 10.5.8
Google Chrome Download Firefox Windows XP SP2 and above; Mac OS X 10.6 and above
Safari Download Firefox Windows XP SP2, Vista or Windows 7

Web Filter Download
LAUSD Web Certificate Download LAUSD Web Certificate

Browser Add-on Download
Silverlight Download Silverlight

 

MiSiS Home   •   Apply for Access   •  System Status  •   Discussion Forum  •   Contact Us
CLOSE